            import 'package:built_collection/built_collection.dart';
        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'collection_creation_dto.g.dart';

abstract class CollectionCreationDto implements Built<CollectionCreationDto, CollectionCreationDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'ordered')
    bool get ordered;
    
        @nullable
    @BuiltValueField(wireName: r'name')
    String get name;
    
        @nullable
    @BuiltValueField(wireName: r'seriesIds')
    BuiltList<int> get seriesIds;

    // Boilerplate code needed to wire-up generated code
    CollectionCreationDto._();

    factory CollectionCreationDto([updates(CollectionCreationDtoBuilder b)]) = _$CollectionCreationDto;
    static Serializer<CollectionCreationDto> get serializer => _$collectionCreationDtoSerializer;

}

