            import 'package:built_collection/built_collection.dart';
            import 'package:time_machine/time_machine.dart';
        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'collection_dto.g.dart';

abstract class CollectionDto implements Built<CollectionDto, CollectionDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'ordered')
    bool get ordered;
    
        @nullable
    @BuiltValueField(wireName: r'createdDate')
    OffsetDateTime get createdDate;
    
        @nullable
    @BuiltValueField(wireName: r'filtered')
    bool get filtered;
    
        @nullable
    @BuiltValueField(wireName: r'lastModifiedDate')
    OffsetDateTime get lastModifiedDate;
    
        @nullable
    @BuiltValueField(wireName: r'name')
    String get name;
    
        @nullable
    @BuiltValueField(wireName: r'id')
    int get id;
    
        @nullable
    @BuiltValueField(wireName: r'seriesIds')
    BuiltList<int> get seriesIds;

    // Boilerplate code needed to wire-up generated code
    CollectionDto._();

    factory CollectionDto([updates(CollectionDtoBuilder b)]) = _$CollectionDto;
    static Serializer<CollectionDto> get serializer => _$collectionDtoSerializer;

}

