            import 'package:built_collection/built_collection.dart';
        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'collection_update_dto.g.dart';

abstract class CollectionUpdateDto implements Built<CollectionUpdateDto, CollectionUpdateDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'ordered')
    bool get ordered;
    
        @nullable
    @BuiltValueField(wireName: r'name')
    String get name;
    
        @nullable
    @BuiltValueField(wireName: r'seriesIds')
    BuiltList<int> get seriesIds;

    // Boilerplate code needed to wire-up generated code
    CollectionUpdateDto._();

    factory CollectionUpdateDto([updates(CollectionUpdateDtoBuilder b)]) = _$CollectionUpdateDto;
    static Serializer<CollectionUpdateDto> get serializer => _$collectionUpdateDtoSerializer;

}

