            import 'package:time_machine/time_machine.dart';
        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'opds_entry.g.dart';

abstract class OpdsEntry implements Built<OpdsEntry, OpdsEntryBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'id')
    String get id;
    
        @nullable
    @BuiltValueField(wireName: r'title')
    String get title;
    
        @nullable
    @BuiltValueField(wireName: r'updated')
    OffsetDateTime get updated;
    
        @nullable
    @BuiltValueField(wireName: r'content')
    String get content;

    // Boilerplate code needed to wire-up generated code
    OpdsEntry._();

    factory OpdsEntry([updates(OpdsEntryBuilder b)]) = _$OpdsEntry;
    static Serializer<OpdsEntry> get serializer => _$opdsEntrySerializer;

}

