            import 'package:komga_api_client/model/open_search_url.dart';
        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'open_search_description.g.dart';

abstract class OpenSearchDescription implements Built<OpenSearchDescription, OpenSearchDescriptionBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'inputEncoding')
    String get inputEncoding;
    
        @nullable
    @BuiltValueField(wireName: r'outputEncoding')
    String get outputEncoding;
    
        @nullable
    @BuiltValueField(wireName: r'description')
    String get description;
    
        @nullable
    @BuiltValueField(wireName: r'shortName')
    String get shortName;
    
        @nullable
    @BuiltValueField(wireName: r'url')
    OpenSearchUrl get url;

    // Boilerplate code needed to wire-up generated code
    OpenSearchDescription._();

    factory OpenSearchDescription([updates(OpenSearchDescriptionBuilder b)]) = _$OpenSearchDescription;
    static Serializer<OpenSearchDescription> get serializer => _$openSearchDescriptionSerializer;

}

