        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'open_search_url.g.dart';

abstract class OpenSearchUrl implements Built<OpenSearchUrl, OpenSearchUrlBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'template')
    String get template;
    
        @nullable
    @BuiltValueField(wireName: r'type')
    String get type;

    // Boilerplate code needed to wire-up generated code
    OpenSearchUrl._();

    factory OpenSearchUrl([updates(OpenSearchUrlBuilder b)]) = _$OpenSearchUrl;
    static Serializer<OpenSearchUrl> get serializer => _$openSearchUrlSerializer;

}

