        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'opds_author.g.dart';

abstract class OpdsAuthor implements Built<OpdsAuthor, OpdsAuthorBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'name')
    String get name;
    
        @nullable
    @BuiltValueField(wireName: r'uri')
    String get uri;

    // Boilerplate code needed to wire-up generated code
    OpdsAuthor._();

    factory OpdsAuthor([updates(OpdsAuthorBuilder b)]) = _$OpdsAuthor;
    static Serializer<OpdsAuthor> get serializer => _$opdsAuthorSerializer;

}

