        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'opds_link.g.dart';

abstract class OpdsLink implements Built<OpdsLink, OpdsLinkBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'rel')
    String get rel;
    
        @nullable
    @BuiltValueField(wireName: r'href')
    String get href;
    
        @nullable
    @BuiltValueField(wireName: r'type')
    String get type;

    // Boilerplate code needed to wire-up generated code
    OpdsLink._();

    factory OpdsLink([updates(OpdsLinkBuilder b)]) = _$OpdsLink;
    static Serializer<OpdsLink> get serializer => _$opdsLinkSerializer;

}

